Package org.apache.catalina

# Interface LifecycleListener

All Known Implementing Classes:
  `AprLifecycleListener`, `ContextConfig`, `ContextNamingInfoListener`, `EngineConfig`, `FrameworkListener`, `GlobalResourcesLifecycleListener`, `HeartbeatListener`, `HostConfig`, `JniLifecycleListener`, `JreMemoryLeakPreventionListener`, `ListenerCreateRule.OptionalListener`, `MapperListener`, `NamingContextListener`, `OpenSSLLifecycleListener`, `PropertiesRoleMappingListener`, `SecurityListener`, `StandardEngine.AccessLogListener`, `StoreConfigLifecycleListener`, `ThreadLocalLeakPreventionListener`, `TLSCertificateReloadListener`, `Tomcat.DefaultWebXmlListener`, `Tomcat.FixContextListener`, `UserConfig`, `VersionLoggerListener`

public interface LifecycleListener
Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface. The listener will be fired after the associated state change has taken place.

Author:
  Craig R. McClanahan

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `lifecycleEvent(LifecycleEvent event)`
  Acknowledge the occurrence of the specified event.

- ## Method Details

  - ### lifecycleEvent

    void lifecycleEvent(LifecycleEvent event)
    Acknowledge the occurrence of the specified event.
    Parameters:
      `event` - LifecycleEvent that has occurred